// pages/Register/Register.js
const app = getApp(); //获取全局对象
Page({

  /**
   * 页面的初始数据
   */
  data: {
    DevID: '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  formSubmit: function (e) {
    wx.request({
      url: 'https://api.mpecloud.cn/iotsystem/client/checkDevice/' + e.detail.value.DevID,
      header: {
        'content-type': 'application/json',
        //'Authorization': 'Bearer ' + app.globalData.token + ''
        'Authorization': 'Bearer 88c24453-68f6-4ed1-a3d1-6e25c83eebd6'
      },
      success: res => {
        if (res.data.data.msg == 'notbind') {
          var that=this;
          app.globalData.devid = e.detail.value.DevID; //修改全局变量-设备ID
          console.log('11 '+app.globalData.devid)
          wx.redirectTo({
            url: '../RegisterUser/RegisterUser',
          })
        } else {
          wx.showToast({
            title: '输入的设备ID不存在或已绑定！',
            icon: 'none',
            duration: 2000
          })
        }
      },
      fail: function () {
        wx.showToast({
          title: '输入的设备ID不存在！',
          icon: 'none',
          duration: 2000
        })
      }
    })
  },
})